Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Class IncompatibleThreadStateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.jdi.IncompatibleThreadStateException

All Implemented Interfaces:
  Serializable

    public class IncompatibleThreadStateException

extends Exception

Thrown to indicate that the requested operation cannot be completed while the specified thread is in its current state.

Since:
  1.3
See Also:
  Serialized Form

Constructor Summary
`IncompatibleThreadStateException()`
`IncompatibleThreadStateException(String s)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncompatibleThreadStateException

    public IncompatibleThreadStateException()

### IncompatibleThreadStateException

    public IncompatibleThreadStateException(String s)

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD